aboutsummaryrefslogtreecommitdiffstats
path: root/meta-gnome
Commit message (Collapse)AuthorAgeFilesLines
* libxklavier: Fix keyboard layout bug for xfce4-settingsAndreas Müller2019-01-113-0/+40
| | | | | | | | | | | * This was one the longest lasting and most annoying bug * While we are at it: rename path files -> libxklavier (From master: 97055da2) Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* network-manager-applet: move GNOMEBASEBUILDCLASS to correct positionChangqing Li2018-11-151-2/+1
| | | | | | | | | GNOMEBASEBUILDCLASS is used by gnomebase, if put it after inherit gnomebase, GNOMEBASEBUILDCLASS in recipe will not take effect Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* network-manager-applet: change default buildclassChangqing Li2018-11-151-0/+2
| | | | | | | | | | | | | | | | | network-manager-applet don't have good support of out-of-tree build. refer this link: https://gitlab.gnome.org/GNOME/network-manager-applet/issues/30#note_353935 change default buildclass to fix below occasionally compile failed problem. can't write to file src/wireless-security/ws-resources.hcan't write to file src/wireless-security/ws-resources.cMakefile:5299: recipe for target 'src/wireless-security/ws-resources.h' failed Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* networkmanager: upgrade 1.10.10 -> 1.14.4Andreas Müller2018-11-151-0/+3
| | | | | | | | | | | | | | | | | * License checksum: copyright year changed * packageconfig glib: with this version (udev-)glib support hase to be enabled explicitly. Split this out to meta-gnome where network-manager-applet lives. * packageconfig netconfig: This was nonsense: netconfig is a SUSE tool [1] which is not found in layer index. The error was detected now because configuration checks for presence of netconfig. * --disable-ifnet and --disable-ifcfg-suse are gone * musl patches were aligned but have no resources to test them [1] https://github.com/openSUSE/sysconfig Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* gvfs: 1.36.2 -> 1.39.1Kai Kang2018-11-151-21/+23
| | | | | | | | | | | Upgrade gvfs from 1.36.2 to 1.39.1. * autotools has been removed, use meson instead * add packageconfigs dnssd and logind * disable options bluray, goa, google and nfs Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* libwnck3: 3.24.1 -> 3.30.0Kai Kang2018-11-151-2/+2
| | | | | | Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* README: updated Maintainers list for ThudArmin Kuster2018-11-151-5/+5
| | | | Signed-off-by: Armin Kuster <akuster808@gmail.com>
* network-manager-applet: upgrade 1.8.14 -> 1.8.18Andreas Müller2018-10-261-2/+3
| | | | | | | Add a packageconfig for mobile-broadband-provider-info - disabled by default Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* layers: Update layer compatibility to thudKhem Raj2018-09-301-1/+1
| | | | | | | | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: Andreas Müller <schnitzeltony@googlemail.com> Cc: Derek Straka <derek@asterius.io> Cc: Tim Orling <TicoTimo@gmail.com> Cc: Hongxu Jia <hongxu.jia@windriver.com> Cc: Armin Kuster <akuster808@gmail.com> Cc: Joe MacDonald <joe_macdonald@mentor.com> Cc: Andrea Adami <andrea.adami@gmail.com>
* evince: Fix build with clangKhem Raj2018-09-092-0/+35
| | | | | | | The added patch aids clang to avoid format warnings Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: Andreas Müller <schnitzeltony@googlemail.com>
* abiword: use fribidi not libfribidiRoss Burton2018-08-311-1/+1
| | | | | | | The recipe is called fribidi, so use that instead of the PROVIDE. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gedit: Add dep on python-six-nativeKhem Raj2018-08-271-2/+4
| | | | | | | | | | | Fixes errors e.g. recipe-sysroot-native/usr/share/gtk-doc/python/gtkdoc/common.py", line 31, in <module> import six ImportError: No module named 'six' make[3]: *** [install-data-local] Error 1 Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: Andreas Müller <schnitzeltony@googlemail.com>
* dconf-editor: re-add 3.28.0Andreas Müller2018-08-191-0/+17
| | | | | | | It got lost by recent gconf update - separated out of gconf. Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* dconf: prettifyAndreas Müller2018-08-191-6/+3
| | | | | | | | * GNOME_COMPRESS_TYPE = "xz" is defaul for ages * FILES_${PN}-dbg: are packed correctly Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gtksourceview3: upgrade 3.24.6 -> 3.24.8Andreas Müller2018-08-191-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gvfs: upgrade 1.36.0 -> 1.36.2Andreas Müller2018-08-191-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* usermode: Fix build with glibc 2.28+Khem Raj2018-08-152-0/+26
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libwnck3: 3.20.1 -> 3.24.1Kang Kai2018-08-081-3/+4
| | | | | | | * inherit gettext to fix qa error Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* network-manager-applet: 1.8.10 -> 1.8.14Hongxu Jia2018-08-021-3/+3
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* usermode: 1.111 -> 1.112Hongxu Jia2018-08-023-37/+31
| | | | | | | - Drop 0001-formatting-issues.patch which upstream fixed the issue Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* dconf 0.18.0 -> 0.28.0Hongxu Jia2018-08-022-36/+21
| | | | | | | | | - Remove dconf-editor - Use meson to replace autotools Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libgnomekbd: 3.22.0 -> 3.26.0Hongxu Jia2018-08-021-2/+2
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libgnome-keyring: Force ARM ISA on arm arches <= v5Khem Raj2018-07-161-0/+12
| | | | | | | | | when global ISA is selected to be thumb then the build fails since it will use thumb1 on these machines and fails to compile, it however compiles fine with armv7+ with thumb2 hence limit the fix to armv4/armv5 Signed-off-by: Khem Raj <raj.khem@gmail.com>
* obexd: removeAndreas Müller2018-06-302-63/+0
| | | | | | | | * it was integrated in bluez very long time ago * nothing (r)depends on it Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* metacity: allow for warnings during compilationSlater, Joseph2018-06-251-0/+5
| | | | | | | | | | | | Add a PACKAGECONFIG option which lets us permit warnings during compilation until warnings from new compiler versions are dealt with. enable the packageconfig by default since we default to gcc8 which produces these warning Signed-off-by: Joe Slater <joe.slater@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* evince: update 3.28.1 -> 3.28.2Andreas Müller2018-06-171-3/+2
| | | | | | | Remove PR this time. Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* metacity: fix version number typo 3.38.0 -> 3.28.0Hongxu Jia2018-05-291-0/+2
| | | | | Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* abiword: Fix build with clangKhem Raj2018-05-262-4/+184
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* network-manager-applet: Package gir-1.0 files into devel packageKhem Raj2018-05-261-0/+5
| | | | | | | | | Fixes QA errors e.g. ERROR: network-manager-applet-1.8.10-r0 do_package: QA Issue: network-manager-applet: Files/directories were installed but not shipped in any package: /usr/share/gir-1.0 Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gnome-desktop3: add a recipe from oe-coreAlexander Kanavin2018-05-233-0/+134
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gnome-keyring: fix 'installed but not shipped' QA issueMark Asselstine2018-05-171-1/+1
| | | | | | | | | | | | | | | | | | Building the 'gnome-keyring' recipe with "installed-vs-shipped" included in ERROR_QA will result in: ERROR: gnome-keyring-3.20.0-r0 do_package: QA Issue: gnome-keyring: \ Files/directories were installed but not shipped in any package: /usr/lib64/pkcs11/gnome-keyring-pkcs11.la /lib64/security/pam_gnome_keyring.la >From various documents the .la files should not be packaged in either the main recipe package or the -dev package unless required. So inherit 'remove-libtool' to have all the .la files cleaned up as they don't appear to be necessary. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* evince: update 3.24.0 -> 3.28.1Andreas Müller2018-05-171-6/+5
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* meta-gnome: add libuser 0.62Hongxu Jia2018-05-174-0/+158
| | | | | | | Since oe-core removed libuser, add it which required by usermode Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* nautilus: Fix build with gdx-pixbuf >= to 2.36.11Khem Raj2018-05-172-3/+47
| | | | | | | | OE-Core has updates to 2.36.11, so we have to replace obsolete API uses Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* evolution-data-server: Update to 3.26.6 and fix build with icu 61Khem Raj2018-05-172-8/+55
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* site: Add riscv64 specific cacheKhem Raj2018-05-011-0/+16
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* metacity: add 3.38.0Hongxu Jia2018-05-012-0/+67
| | | | | | | The metacity is still maintained on github which the latest version is based on gtk+3 Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
* usermode: also only include when x11 in DISTRO_FEATURESArmin Kuster2018-04-131-1/+1
| | | | Signed-off-by: Armin Kuster <akuster808@gmail.com>
* gnome-system-monitor: only include when x11 in DISTRO_FEATURESArmin Kuster2018-04-131-1/+3
| | | | Signed-off-by: Armin Kuster <akuster808@gmail.com>
* update layer maintainersArmin Kuster2018-04-131-2/+1
| | | | Signed-off-by: Armin Kuster <akuster808@gmail.com>
* obexd: refreah patchesArmin Kuster2018-04-131-8/+16
| | | | | | | | | | | | | | | | | | | | | WARNING: Some of the context lines in patches were ignored. This can lead to incorrectly applied patches. The context lines in the patches can be updated with devtool: devtool modify <recipe> devtool finish --force-patch-refresh <recipe> <layer_path> Then the updated patches and the source tree (in devtool's workspace) should be reviewed to make sure the patches apply in the correct place and don't introduce duplicate lines (which can, and does happen when some of the context is ignored). Further information: http://lists.openembedded.org/pipermail/openembedded-core/2018-March/148675.html https://bugzilla.yoctoproject.org/show_bug.cgi?id=10450 Details: patching file plugins/mas.c Hunk #1 succeeded at 30 with fuzz 2 (offset 1 line). Signed-off-by: Armin Kuster <akuster808@gmail.com>
* meta-*: add LAYERSERIES_COMPAT to layer.conf filesMartin Jansa2018-04-131-0/+2
| | | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* libgnomeui: removeAndreas Müller2018-04-085-4174/+0
| | | | | | | | * libbonoboui is gone * project is dead - last release 2011 Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* gparted: update 0.30.0 -> 0.31.0Andreas Müller2018-04-081-2/+2
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* gvfs: update 1.34.1 -> 1.36.0Andreas Müller2018-04-081-2/+7
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* gnome-keyring: update 2.32.1 -> 3.20.0Andreas Müller2018-04-083-113/+42
| | | | | | | | | | * update to 3.28.0 is not yet possible due to gcr >= 3.27.90 required * license: Many sourcefiles are gone and those still left reference to COPYING or COPYING.LIB * recipe cleanup Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* metacity: removeAndreas Müller2018-04-083-90/+0
| | | | | | | | * as far as I can see nothing uses it - please stand up if I am wrong * this version was released in 2012 Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* gnome-system-monitor: re-add 3.26.0Andreas Müller2018-04-082-0/+60
| | | | | | | | 3.28.0 fails for glib-2.0 version: | configure: error: Package requirements (glib-2.0 >= 2.55.0 Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* libgtop: update 2.30.0 -> 2.38.0Andreas Müller2018-04-082-15/+13
| | | | | | | Cleanup recipe while we are at it Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
* network-manager-applet: update 1.4.4 -> 1.8.10Andreas Müller2018-04-081-5/+12
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>